Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglets.security
Class PolicyPermission

    java.lang.Object
      |
      +--com.ibm.aglets.security.PolicyPermission

public class PolicyPermission
extends java.lang.Object

The `PolicyPermission` class represents a permission in a grant of Java policy database.

Version:
  1.00 $Date: 2001/07/28 06:33:08 $
Author:
  ONO Kouichi

Constructor Summary
`PolicyPermission(PolicyFileReader reader, java.lang.String type, java.lang.String className)`
`PolicyPermission(java.lang.String className)`

Method Summary
`protected void` | `checkSigner(java.lang.String signer)`
`protected void` | `checkSigners(java.util.Vector signers)`
`java.security.Permission` | `create()`
`boolean` | `equals(java.lang.Object obj)`
`boolean` | `equals(PolicyPermission permission)`
`boolean` | `equalsActions(java.lang.String actions)`
`boolean` | `equalsClassName(java.lang.String className)`
`boolean` | `equalsSigners(java.util.Vector signers)`
`static boolean` | `equalsSigners(java.util.Vector signersA, java.util.Vector signersB)`
`boolean` | `equalsTargetName(java.lang.String target)`
`java.lang.String` | `getActions()`
`java.lang.String` | `getClassName()`
`java.security.Permission` | `getPermission()`
`java.lang.String` | `getSignerNames()`
`java.util.Enumeration` | `getSigners()`
`java.lang.String` | `getTargetName()`
`protected static boolean` | `includesSigners(java.util.Vector names, java.util.Vector signers)`
`protected boolean` | `isSignedBy(java.lang.String signer)`
`protected boolean` | `isSignedBy(java.util.Vector signers)`
`protected static boolean` | `isSigner(java.lang.String name, java.util.Vector signers)`
`void` | `setActions(java.lang.String actions)`
`protected void` | `setClassName(java.lang.String name)`
`void` | `setSignerNames(java.lang.String signerNames)`
`void` | `setTargetName(java.lang.String targetName)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PolicyPermission

    public PolicyPermission(PolicyFileReader reader,
                            java.lang.String type,
                            java.lang.String className)
                     throws java.lang.ClassNotFoundException

### PolicyPermission

    public PolicyPermission(java.lang.String className)
                     throws java.lang.ClassNotFoundException

Method Detail

### checkSigner

    protected void checkSigner(java.lang.String signer)
                        throws java.lang.SecurityException

### checkSigners

    protected void checkSigners(java.util.Vector signers)
                         throws java.lang.SecurityException

### create

    public java.security.Permission create()
                                    throws PolicyFileParsingException,
                                           java.lang.SecurityException

### equals

    public boolean equals(PolicyPermission permission)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### equalsActions

    public boolean equalsActions(java.lang.String actions)

### equalsClassName

    public boolean equalsClassName(java.lang.String className)

### equalsSigners

    public boolean equalsSigners(java.util.Vector signers)

### equalsSigners

    public static boolean equalsSigners(java.util.Vector signersA,
                                        java.util.Vector signersB)

### equalsTargetName

    public boolean equalsTargetName(java.lang.String target)

### getActions

    public java.lang.String getActions()

### getClassName

    public java.lang.String getClassName()

### getPermission

    public java.security.Permission getPermission()

### getSignerNames

    public java.lang.String getSignerNames()

### getSigners

    public java.util.Enumeration getSigners()

### getTargetName

    public java.lang.String getTargetName()

### includesSigners

    protected static boolean includesSigners(java.util.Vector names,
                                             java.util.Vector signers)

### isSignedBy

    protected boolean isSignedBy(java.lang.String signer)

### isSignedBy

    protected boolean isSignedBy(java.util.Vector signers)

### isSigner

    protected static boolean isSigner(java.lang.String name,
                                      java.util.Vector signers)

### setActions

    public void setActions(java.lang.String actions)

### setClassName

    protected void setClassName(java.lang.String name)
                         throws java.lang.ClassNotFoundException

### setSignerNames

    public void setSignerNames(java.lang.String signerNames)
                        throws java.lang.SecurityException

### setTargetName

    public void setTargetName(java.lang.String targetName)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD